package cn.wise.sc.acquisition.business.service;

import cn.wise.sc.acquisition.business.entity.TProcessesDrilling;
import cn.wise.sc.acquisition.business.model.query.TProcessesDrillingQuery;
import cn.wise.sc.acquisition.business.wrapper.page.Query;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author renchao
 * @since 2021-04-29
 */
public interface ITProcessesDrillingService extends IService<TProcessesDrilling> {

    R getPage(TProcessesDrillingQuery tProcessesDrillingQuery, Query query);

    R insertTProcessesDrilling(TProcessesDrillingQuery query);

    R updateByUid(TProcessesDrillingQuery query);

    R updateHoleBlastVolume(TProcessesDrillingQuery query);

    R updateAllBlastDate(TProcessesDrillingQuery query);

    R getByUid(TProcessesDrillingQuery query);


}
